|  | Home · All Classes · Modules

# QSourceLocation Class Reference
[QtXmlPatterns module]

The QSourceLocation class identifies a location in a resource by URI, line, and column. More...

### Methods

- __init__ (self)
- __init__ (self, QSourceLocation)
- __init__ (self, QUrl, int line = -1, int column = -1)
- int column (self)
- bool isNull (self)
- int line (self)
- setColumn (self, int)
- setLine (self, int)
- setUri (self, QUrl)
- QUrl uri (self)

### Special Methods

- bool __eq__ (self, QSourceLocation)
- int __hash__ (self)
- bool __ne__ (self, QSourceLocation)

## Detailed Description

The QSourceLocation class identifies a location in a resource by URI, line, and column.

QSourceLocation is a simple value based class that has three properties, uri(), line(), and column(), that, taken together, identify a certain point in a resource, e.g., a file or an in-memory document.

line() and column() refer to character counts (not byte counts), and they both start from 1, as opposed to 0.

## Method Documentation

### QSourceLocation.__init__ (self)

Construct a QSourceLocation that doesn't identify anything at all.

For a default constructed QSourceLocation(), isNull() returns `true`.

### QSourceLocation.__init__ (self, QSourceLocation)

Constructs a QSourceLocation that is a copy of other.

### QSourceLocation.__init__ (self, QUrl, int line = -1, int column = -1)

Constructs a QSourceLocation with URI u, line l and column c.

### int QSourceLocation.column (self)

Returns the current column number. The column number refers to the count of characters, not bytes. The first column is column 1, not 0. The default value is -1, indicating the column number is unknown.

See also setColumn().

### bool QSourceLocation.isNull (self)

Returns `true` if this QSourceLocation doesn't identify anything.

For a default constructed QSourceLocation, this function returns `true`. The same applies for any other QSourceLocation whose uri() is invalid.

### int QSourceLocation.line (self)

Returns the current line number. The first line number is 1, not 0. The default value is -1, indicating the line number is unknown.

See also setLine().

### QSourceLocation.setColumn (self, int)

Sets the column number to newColumn. 0 is an invalid column number. The first column number is 1.

See also column().

### QSourceLocation.setLine (self, int)

Sets the line number to newLine. 0 is an invalid line number. The first line number is 1.

See also line().

### QSourceLocation.setUri (self, QUrl)

Sets the URI to newUri.

See also uri().

### QUrl QSourceLocation.uri (self)

Returns the resource that this QSourceLocation refers to. For example, the resource could be a file in the local file system, if the URI scheme is `file`.

See also setUri().

### bool QSourceLocation.__eq__ (self, QSourceLocation)

### int QSourceLocation.__hash__ (self)

### bool QSourceLocation.__ne__ (self, QSourceLocation)